Extending Qt Creator Manual | QmlEnumValue

Extending Qt Creator Manual 4.5.2

# QmlEnumValue Class

(QmlJS::QmlEnumValue)

Inherits: | QmlJS::NumberValue

- List of all members, including inherited members

## Public Functions

| QmlEnumValue(const CppComponentValue *owner, int index)
| ~QmlEnumValue()
QStringList | keys() const
QString | name() const
const CppComponentValue * | owner() const

## Reimplemented Public Functions

virtual const QmlEnumValue * | asQmlEnumValue() const override

- 2 public functions inherited from QmlJS::NumberValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### QmlEnumValue::QmlEnumValue(const CppComponentValue *owner, int index)

Default constructs an instance of QmlEnumValue.

### QmlEnumValue::~QmlEnumValue()

Destroys the instance of QmlEnumValue.

### `[override virtual]` const QmlEnumValue *QmlEnumValue::asQmlEnumValue() const

### QStringList QmlEnumValue::keys() const

### QString QmlEnumValue::name() const

### const CppComponentValue *QmlEnumValue::owner() const